Holger's Java API

## com.antelmann.net
Enum Whois.Type

    java.lang.Object
      java.lang.Enum<Whois.Type>
          com.antelmann.net.Whois.Type

All Implemented Interfaces:
  Serializable, Comparable<Whois.Type>

Enclosing class:
  Whois

    public static enum Whois.Type

extends Enum<Whois.Type>

Enum Constant Summary
`ADMIN`
`BILLING`
`OWNER`
`TECH`

Method Summary
`static Whois.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Whois.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OWNER

    public static final Whois.Type OWNER

### ADMIN

    public static final Whois.Type ADMIN

### TECH

    public static final Whois.Type TECH

### BILLING

    public static final Whois.Type BILLING

Method Detail

### values

    public static Whois.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Whois.Type c : Whois.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Whois.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads